<?php 

	$luzuk_sweet_delights_bakery_custom_style = '';

	// Header Image
	$header_image_url = luzuk_sweet_delights_bakery_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$luzuk_sweet_delights_bakery_custom_style .=' #inner-pages-header {';
			$luzuk_sweet_delights_bakery_custom_style .=' background-image: url('. esc_url( $header_image_url ).') !important; background-size: cover; background-repeat: no-repeat; background-attachment: fixed;';
		$luzuk_sweet_delights_bakery_custom_style .=' }';

		$luzuk_sweet_delights_bakery_custom_style .='  #header .top-head {';
			$luzuk_sweet_delights_bakery_custom_style .=' background: none ';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	} else {
		$luzuk_sweet_delights_bakery_custom_style .=' #inner-pages-header {';
			$luzuk_sweet_delights_bakery_custom_style .=' background: radial-gradient(circle at center, rgba(0,0,0,0) 0%, #000000 100%); ';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}


	$luzuk_sweet_delights_bakery_sitetitle_col = get_theme_mod('luzuk_sweet_delights_bakery_sitetitle_col');
	if ( $luzuk_sweet_delights_bakery_sitetitle_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' .site-title, .site-title a {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_sitetitle_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}


	$luzuk_sweet_delights_bakery_sitetagline_col = get_theme_mod('luzuk_sweet_delights_bakery_sitetagline_col');
	if ( $luzuk_sweet_delights_bakery_sitetagline_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' .site-description {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_sitetagline_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_cartbg_color = get_theme_mod('luzuk_sweet_delights_bakery_cartbg_color');
	if ( $luzuk_sweet_delights_bakery_cartbg_color != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #header .hshop {';
			$luzuk_sweet_delights_bakery_custom_style .=' background:'.esc_attr($luzuk_sweet_delights_bakery_cartbg_color).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_carticontext_color = get_theme_mod('luzuk_sweet_delights_bakery_carticontext_color');
	if ( $luzuk_sweet_delights_bakery_carticontext_color != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #header .hshop i, #header .hshoptxt {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_carticontext_color).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_cartnumber_color = get_theme_mod('luzuk_sweet_delights_bakery_cartnumber_color');
	if ( $luzuk_sweet_delights_bakery_cartnumber_color != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #header .hshop .count {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_cartnumber_color).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_cartnumberbg_color = get_theme_mod('luzuk_sweet_delights_bakery_cartnumberbg_color');
	if ( $luzuk_sweet_delights_bakery_cartnumberbg_color != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #header .hshop .count {';
			$luzuk_sweet_delights_bakery_custom_style .=' background-color:'.esc_attr($luzuk_sweet_delights_bakery_cartnumberbg_color).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_activemenubg_color = get_theme_mod('luzuk_sweet_delights_bakery_activemenubg_color');
	if ( $luzuk_sweet_delights_bakery_activemenubg_color != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' .primary-menu li.current-menu-item > a, .primary-menu li.current-menu-item > .link-icon-wrapper > a {';
			$luzuk_sweet_delights_bakery_custom_style .=' background:'.esc_attr($luzuk_sweet_delights_bakery_activemenubg_color).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_activemenutext_color = get_theme_mod('luzuk_sweet_delights_bakery_activemenutext_color');
	if ( $luzuk_sweet_delights_bakery_activemenutext_color != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' .primary-menu li.current-menu-item > a, .primary-menu li.current-menu-item > .link-icon-wrapper > a {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_activemenutext_color).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_menu_color = get_theme_mod('luzuk_sweet_delights_bakery_menu_color');
	if ( $luzuk_sweet_delights_bakery_menu_color != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' .primary-menu a, .primary-menu li .icon{';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_menu_color).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_menuhover_color = get_theme_mod('luzuk_sweet_delights_bakery_menuhover_color');
	if ( $luzuk_sweet_delights_bakery_menuhover_color != '') {
		$luzuk_sweet_delights_bakery_custom_style .='.primary-menu li:hover .icon, .primary-menu li a:hover{';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_menuhover_color).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_submenu_color = get_theme_mod('luzuk_sweet_delights_bakery_submenu_color');
	if ( $luzuk_sweet_delights_bakery_submenu_color != '') {
		$luzuk_sweet_delights_bakery_custom_style .='.primary-menu ul a{';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_submenu_color).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_submenubg_color = get_theme_mod('luzuk_sweet_delights_bakery_submenubg_color');
	if ( $luzuk_sweet_delights_bakery_submenubg_color != '') {
		$luzuk_sweet_delights_bakery_custom_style .='.primary-menu ul{';
			$luzuk_sweet_delights_bakery_custom_style .=' background:'.esc_attr($luzuk_sweet_delights_bakery_submenubg_color).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_phoneicon_color = get_theme_mod('luzuk_sweet_delights_bakery_phoneicon_color');
	if ( $luzuk_sweet_delights_bakery_phoneicon_color != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #header .l-contactbox i {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_phoneicon_color).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_phonetext_color = get_theme_mod('luzuk_sweet_delights_bakery_phonetext_color');
	if ( $luzuk_sweet_delights_bakery_phonetext_color != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #header .l-contactbox {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_phonetext_color).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_phonenumber_color = get_theme_mod('luzuk_sweet_delights_bakery_phonenumber_color');
	if ( $luzuk_sweet_delights_bakery_phonenumber_color != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #header .l-contactbox p {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_phonenumber_color).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_headertopsocialicon_col = get_theme_mod('luzuk_sweet_delights_bakery_headertopsocialicon_col');
	if ( $luzuk_sweet_delights_bakery_headertopsocialicon_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #header .s-media a i {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_headertopsocialicon_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	//banner colors

	$luzuk_sweet_delights_bakery_banner_ratingheading_col = get_theme_mod('luzuk_sweet_delights_bakery_banner_ratingheading_col');
	if ( $luzuk_sweet_delights_bakery_banner_ratingheading_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #banner-section .cltxt {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_banner_ratingheading_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_banner_heading1_col = get_theme_mod('luzuk_sweet_delights_bakery_banner_heading1_col');
	if ( $luzuk_sweet_delights_bakery_banner_heading1_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #banner-section h2 {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_banner_heading1_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_banner_heading2_col = get_theme_mod('luzuk_sweet_delights_bakery_banner_heading2_col');
	if ( $luzuk_sweet_delights_bakery_banner_heading2_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #banner-section h3 {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_banner_heading2_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_banner_description_col = get_theme_mod('luzuk_sweet_delights_bakery_banner_description_col');
	if ( $luzuk_sweet_delights_bakery_banner_description_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #banner-section p {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_banner_description_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_banner_button1bg_col = get_theme_mod('luzuk_sweet_delights_bakery_banner_button1bg_col');
	if ( $luzuk_sweet_delights_bakery_banner_button1bg_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #banner-section .lbtn {';
			$luzuk_sweet_delights_bakery_custom_style .=' background:'.esc_attr($luzuk_sweet_delights_bakery_banner_button1bg_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_banner_button1text_col = get_theme_mod('luzuk_sweet_delights_bakery_banner_button1text_col');
	if ( $luzuk_sweet_delights_bakery_banner_button1text_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #banner-section .lbtn {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_banner_button1text_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_banner_button2bg_col = get_theme_mod('luzuk_sweet_delights_bakery_banner_button2bg_col');
	if ( $luzuk_sweet_delights_bakery_banner_button2bg_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #banner-section .Rbtn {';
			$luzuk_sweet_delights_bakery_custom_style .=' background:'.esc_attr($luzuk_sweet_delights_bakery_banner_button2bg_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_banner_button2text_col = get_theme_mod('luzuk_sweet_delights_bakery_banner_button2text_col');
	if ( $luzuk_sweet_delights_bakery_banner_button2text_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #banner-section .Rbtn {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_banner_button2text_col).';';
			$luzuk_sweet_delights_bakery_custom_style .=' border-color:'.esc_attr($luzuk_sweet_delights_bakery_banner_button2text_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_banner_numbers_col = get_theme_mod('luzuk_sweet_delights_bakery_banner_numbers_col');
	if ( $luzuk_sweet_delights_bakery_banner_numbers_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #banner-section .trustnumber .counterbx h2 {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_banner_numbers_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_banner_numberstext_col = get_theme_mod('luzuk_sweet_delights_bakery_banner_numberstext_col');
	if ( $luzuk_sweet_delights_bakery_banner_numberstext_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #banner-section .trustnumber .counterbx p {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_banner_numberstext_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	//Featured Product

	$luzuk_sweet_delights_bakery_featuredproducts_bg_col = get_theme_mod('luzuk_sweet_delights_bakery_featuredproducts_bg_col');
	if ( $luzuk_sweet_delights_bakery_featuredproducts_bg_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #featureproduct-section {';
			$luzuk_sweet_delights_bakery_custom_style .=' background:'.esc_attr($luzuk_sweet_delights_bakery_featuredproducts_bg_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_featuredproducts_subheading_col = get_theme_mod('luzuk_sweet_delights_bakery_featuredproducts_subheading_col');
	if ( $luzuk_sweet_delights_bakery_featuredproducts_subheading_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #featureproduct-section .section-title h5 {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_featuredproducts_subheading_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_featuredproducts_heading_col = get_theme_mod('luzuk_sweet_delights_bakery_featuredproducts_heading_col');
	if ( $luzuk_sweet_delights_bakery_featuredproducts_heading_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #featureproduct-section .section-title h3 {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_featuredproducts_heading_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_featuredproducts_description_col = get_theme_mod('luzuk_sweet_delights_bakery_featuredproducts_description_col');
	if ( $luzuk_sweet_delights_bakery_featuredproducts_description_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #featureproduct-section .section-title p {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_featuredproducts_description_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_featuredproducts_productbg_col = get_theme_mod('luzuk_sweet_delights_bakery_featuredproducts_productbg_col');
	if ( $luzuk_sweet_delights_bakery_featuredproducts_productbg_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #featureproduct-section .productcontent-wrap {';
			$luzuk_sweet_delights_bakery_custom_style .=' background:'.esc_attr($luzuk_sweet_delights_bakery_featuredproducts_productbg_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_featuredproducts_productsaletext_col = get_theme_mod('luzuk_sweet_delights_bakery_featuredproducts_productsaletext_col');
	if ( $luzuk_sweet_delights_bakery_featuredproducts_productsaletext_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #featureproduct-section .product-discount {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_featuredproducts_productsaletext_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_featuredproducts_productsalebg_col = get_theme_mod('luzuk_sweet_delights_bakery_featuredproducts_productsalebg_col');
	if ( $luzuk_sweet_delights_bakery_featuredproducts_productsalebg_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #featureproduct-section .product-discount {';
			$luzuk_sweet_delights_bakery_custom_style .=' background:'.esc_attr($luzuk_sweet_delights_bakery_featuredproducts_productsalebg_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_featuredproducts_productname_col = get_theme_mod('luzuk_sweet_delights_bakery_featuredproducts_productname_col');
	if ( $luzuk_sweet_delights_bakery_featuredproducts_productname_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #featureproduct-section .productcontent-wrap h4 {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_featuredproducts_productname_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_featuredproducts_price_col = get_theme_mod('luzuk_sweet_delights_bakery_featuredproducts_price_col');
	if ( $luzuk_sweet_delights_bakery_featuredproducts_price_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #featureproduct-section .productcontent-wrap .price {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_featuredproducts_price_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_featuredproducts_addtocartbuttontext_col = get_theme_mod('luzuk_sweet_delights_bakery_featuredproducts_addtocartbuttontext_col');
	if ( $luzuk_sweet_delights_bakery_featuredproducts_addtocartbuttontext_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #featureproduct-section .add-to-cart a {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_featuredproducts_addtocartbuttontext_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_featuredproducts_addtocartbuttonbg_col = get_theme_mod('luzuk_sweet_delights_bakery_featuredproducts_addtocartbuttonbg_col');
	if ( $luzuk_sweet_delights_bakery_featuredproducts_addtocartbuttonbg_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #featureproduct-section .add-to-cart a {';
			$luzuk_sweet_delights_bakery_custom_style .=' background:'.esc_attr($luzuk_sweet_delights_bakery_featuredproducts_addtocartbuttonbg_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_featuredproducts_addtocartbuttontexthrv_col = get_theme_mod('luzuk_sweet_delights_bakery_featuredproducts_addtocartbuttontexthrv_col');
	if ( $luzuk_sweet_delights_bakery_featuredproducts_addtocartbuttontexthrv_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #featureproduct-section .add-to-cart a:hover {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_featuredproducts_addtocartbuttontexthrv_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_featuredproducts_addtocartbuttonbghrv_col = get_theme_mod('luzuk_sweet_delights_bakery_featuredproducts_addtocartbuttonbghrv_col');
	if ( $luzuk_sweet_delights_bakery_featuredproducts_addtocartbuttonbghrv_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #featureproduct-section .add-to-cart a:hover {';
			$luzuk_sweet_delights_bakery_custom_style .=' background:'.esc_attr($luzuk_sweet_delights_bakery_featuredproducts_addtocartbuttonbghrv_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	//catagories colors

	$luzuk_sweet_delights_bakery_productcategory_bg_col = get_theme_mod('luzuk_sweet_delights_bakery_productcategory_bg_col');
	if ( $luzuk_sweet_delights_bakery_productcategory_bg_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #productcategory-section {';
			$luzuk_sweet_delights_bakery_custom_style .=' background:'.esc_attr($luzuk_sweet_delights_bakery_productcategory_bg_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_productcategory_subheading_col = get_theme_mod('luzuk_sweet_delights_bakery_productcategory_subheading_col');
	if ( $luzuk_sweet_delights_bakery_productcategory_subheading_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #productcategory-section .section-title h5 {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_productcategory_subheading_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_productcategory_heading_col = get_theme_mod('luzuk_sweet_delights_bakery_productcategory_heading_col');
	if ( $luzuk_sweet_delights_bakery_productcategory_heading_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #productcategory-section .section-title h3 {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_productcategory_heading_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_productcategory_description_col = get_theme_mod('luzuk_sweet_delights_bakery_productcategory_description_col');
	if ( $luzuk_sweet_delights_bakery_productcategory_description_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #productcategory-section .section-title p {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_productcategory_description_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_productcategory_boxbg_col = get_theme_mod('luzuk_sweet_delights_bakery_productcategory_boxbg_col');
	if ( $luzuk_sweet_delights_bakery_productcategory_boxbg_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #productcategory-section .catMinnbx{';
			$luzuk_sweet_delights_bakery_custom_style .=' background:'.esc_attr($luzuk_sweet_delights_bakery_productcategory_boxbg_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_productcategory_iconbg_col = get_theme_mod('luzuk_sweet_delights_bakery_productcategory_iconbg_col');
	if ( $luzuk_sweet_delights_bakery_productcategory_iconbg_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #productcategory-section .cat-product:nth-child(1) .pro-cat-img {';
			$luzuk_sweet_delights_bakery_custom_style .=' background-color:'.esc_attr($luzuk_sweet_delights_bakery_productcategory_iconbg_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_productcategory_boxtitle_col = get_theme_mod('luzuk_sweet_delights_bakery_productcategory_boxtitle_col');
	if ( $luzuk_sweet_delights_bakery_productcategory_boxtitle_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #productcategory-section .pro-combx h5 a {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_productcategory_boxtitle_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_productcategory_boxdescription_col = get_theme_mod('luzuk_sweet_delights_bakery_productcategory_boxdescription_col');
	if ( $luzuk_sweet_delights_bakery_productcategory_boxdescription_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #productcategory-section .cat-description {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_productcategory_boxdescription_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_productcategory_boxnumber_col = get_theme_mod('luzuk_sweet_delights_bakery_productcategory_boxnumber_col');
	if ( $luzuk_sweet_delights_bakery_productcategory_boxnumber_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #productcategory-section .pro-combx .num {';
			$luzuk_sweet_delights_bakery_custom_style .=' color:'.esc_attr($luzuk_sweet_delights_bakery_productcategory_boxnumber_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}

	$luzuk_sweet_delights_bakery_productcategory_boxnumberbg_col = get_theme_mod('luzuk_sweet_delights_bakery_productcategory_boxnumberbg_col');
	if ( $luzuk_sweet_delights_bakery_productcategory_boxnumberbg_col != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' #productcategory-section .pro-combx .num {';
			$luzuk_sweet_delights_bakery_custom_style .=' background:'.esc_attr($luzuk_sweet_delights_bakery_productcategory_boxnumberbg_col).';';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}



	//layout width
	$luzuk_sweet_delights_bakery_boxfull_width = get_theme_mod('luzuk_sweet_delights_bakery_boxfull_width');
	if ($luzuk_sweet_delights_bakery_boxfull_width !== '') {
		switch ($luzuk_sweet_delights_bakery_boxfull_width) {
			case 'container':
				$luzuk_sweet_delights_bakery_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$luzuk_sweet_delights_bakery_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$luzuk_sweet_delights_bakery_dropdown_anim = get_theme_mod('luzuk_sweet_delights_bakery_dropdown_anim');

	if ( $luzuk_sweet_delights_bakery_dropdown_anim != '') {
		$luzuk_sweet_delights_bakery_custom_style .=' .primary-menu ul{';
			$luzuk_sweet_delights_bakery_custom_style .=' animation:'.esc_attr($luzuk_sweet_delights_bakery_dropdown_anim).' 1s ease;';
		$luzuk_sweet_delights_bakery_custom_style .=' }';
	}


	//sidebar shift
	$luzuk_sweet_delights_bakery_shift = get_theme_mod('luzuk_sweet_delights_bakery_shift', 'left');
	if ($luzuk_sweet_delights_bakery_shift !== '') {
		switch ($luzuk_sweet_delights_bakery_shift) {
			case 'left':
				$luzuk_sweet_delights_bakery_custom_style .= '
					.headerbox {
						left: 0;
					}
					#skip-content {
						right: 0;
					}';
				break;
			case 'right':
				$luzuk_sweet_delights_bakery_custom_style .= '
					.headerbox {
						right: 0;
					}
					#skip-content {
						left: 0;
					}';
				break;
			default:
				// Handle unexpected values
				break;
		}
	}